Bug 1551693 - internal server error ActiveRecord::AssociationTypeMismatch when editing current_group
Summary: internal server error ActiveRecord::AssociationTypeMismatch when editing curr...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Gregg Tanzillo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest
Keywords: ZStream
Depends On: 1549086
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 18:25 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
3 users (show)

(edit)
Clone Of: 1549086
(edit)
Last Closed: 2018-06-25 14:17:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC

Comment 2 CFME Bot 2018-03-05 18:31:11 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/8460d9b01422a1cbed0b933a1f1da76fbfb9731c

commit 8460d9b01422a1cbed0b933a1f1da76fbfb9731c
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Tue Feb 27 09:29:01 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 5 13:19:45 2018 -0500

    Merge pull request #329 from jntullo/bz_1549086
    
    Raise bad request when current_group is specified on edit
    (cherry picked from commit 40cf625ebcbf56b9df316196463bbc6c011aaf92)
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1551693

 app/controllers/api/users_controller.rb |  4 ++--
 spec/requests/api/users_spec.rb         | 21 +++++++++++++++++++++
 2 files changed, 23 insertions(+), 2 deletions(-)

Comment 4 Martin Kourim 2018-04-25 12:12:13 UTC
Verified that bad request is raised on 5.8.4.1 when current_group is specified on edit:
{
    "error": {
        "kind": "bad_request",
        "message": "Invalid attribute(s) current_group specified for a user",
        "klass": "Api::BadRequestError"
    }
}

Comment 6 errata-xmlrpc 2018-06-25 14:17:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.